Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.lib.sql
Class StreamableNode

    java.lang.Object
      |
      +--org.apache.xalan.utils.UnImplNode
            |
            +--org.apache.xalan.lib.sql.StreamableNode

Direct Known Subclasses:
  Column, ColumnAttribute, ColumnData, ColumnHeader, Row, RowSet, XStatement

public class StreamableNode
extends UnImplNode
implements NodeTestFilter, NamedNodeMap, DOMOrder

This is the superclass for all nodes in the org.apache.xalan.lib.sql package.

Constructor Summary
`StreamableNode(XStatement statement)`

Method Summary
`NamedNodeMap` | `getAttributes()`
`int` | `getLength()`
`java.lang.String` | `getLocalName()` Return NodeName.
`Node` | `getNamedItem(java.lang.String name)`
`Node` | `getNamedItemNS(java.lang.String namespaceURI, java.lang.String localName)`
`java.lang.String` | `getNamespaceURI()` Returns null.
`NodeTest` | `getNodeTest()`
`short` | `getNodeType()` Streamable nodes default to being elements.
`Document` | `getOwnerDocument()`
`java.lang.String` | `getPrefix()` Returns null.
`int` | `getUid()` Get the UID (document order index).
`XStatement` | `getXStatement()`
`Node` | `item(int index)`
`Node` | `removeNamedItem(java.lang.String name)`
`Node` | `removeNamedItemNS(java.lang.String namespaceURI, java.lang.String localName)`
`Node` | `setNamedItem(Node arg)`
`Node` | `setNamedItemNS(Node arg)`
`void` | `setNodeTest(NodeTest nodeTest)`
`boolean` | `supports(java.lang.String feature, java.lang.String version)`

Methods inherited from class org.apache.xalan.utils.UnImplNode
`appendChild, appendData, cloneNode, createAttribute, createAttributeNS, createCDATASection, createComment, createDocumentFragment, createElement, createElementNS, createEntityReference, createProcessingInstruction, createTextNode, deleteData, error, error, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getChildNodes, getDoctype, getDocumentElement, getElementById, getElementsByTagName, getElementsByTagNameNS, getFirstChild, getImplementation, getLastChild, getNextSibling, getNodeName, getNodeValue, getOwnerElement, getParentNode, getPreviousSibling, getSpecified, getTagName, hasAttribute, hasAttributeNS, hasAttributes, hasChildNodes, importNode, insertBefore, insertData, normalize, removeAttribute, removeAttributeNode, removeAttributeNS, removeChild, replaceChild, replaceData, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setData, setNodeValue, setPrefix, setValue, splitText, substringData`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StreamableNode

    public StreamableNode(XStatement statement)

Method Detail

### getXStatement

    public XStatement getXStatement()

### supports

    public boolean supports(java.lang.String feature,
                            java.lang.String version)

  Overrides:
    supports in class UnImplNode

### getNodeTest

    public NodeTest getNodeTest()

### setNodeTest

    public void setNodeTest(NodeTest nodeTest)

  Specified by:
    setNodeTest in interface NodeTestFilter

### getOwnerDocument

    public Document getOwnerDocument()

  Overrides:
    getOwnerDocument in class UnImplNode

### getNodeType

    public short getNodeType()

  Streamable nodes default to being elements.
  Overrides:
    getNodeType in class UnImplNode

### getLocalName

    public java.lang.String getLocalName()

  Return NodeName.
  Overrides:
    getLocalName in class UnImplNode

### getNamespaceURI

    public java.lang.String getNamespaceURI()

  Returns null.
  Overrides:
    getNamespaceURI in class UnImplNode

### getPrefix

    public java.lang.String getPrefix()

  Returns null.
  Overrides:
    getPrefix in class UnImplNode

### getAttributes

    public NamedNodeMap getAttributes()

  Overrides:
    getAttributes in class UnImplNode

### getNamedItem

    public Node getNamedItem(java.lang.String name)

  Specified by:
    getNamedItem in interface NamedNodeMap

### item

    public Node item(int index)

  Specified by:
    item in interface NamedNodeMap
  Overrides:
    item in class UnImplNode

### getLength

    public int getLength()

  Specified by:
    getLength in interface NamedNodeMap
  Overrides:
    getLength in class UnImplNode

### getNamedItemNS

    public Node getNamedItemNS(java.lang.String namespaceURI,
                               java.lang.String localName)

  Specified by:
    getNamedItemNS in interface NamedNodeMap

### setNamedItem

    public Node setNamedItem(Node arg)
                      throws DOMException

  Specified by:
    setNamedItem in interface NamedNodeMap

### removeNamedItem

    public Node removeNamedItem(java.lang.String name)
                         throws DOMException

  Specified by:
    removeNamedItem in interface NamedNodeMap

### setNamedItemNS

    public Node setNamedItemNS(Node arg)
                        throws DOMException

  Specified by:
    setNamedItemNS in interface NamedNodeMap

### removeNamedItemNS

    public Node removeNamedItemNS(java.lang.String namespaceURI,
                                  java.lang.String localName)
                           throws DOMException

  Specified by:
    removeNamedItemNS in interface NamedNodeMap

### getUid

    public int getUid()

  Get the UID (document order index).
  Specified by:
    getUid in interface DOMOrder

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.